New pre-requisites for Exchange 2010 Service Pack 2 and CAS Role

With release of Service Pack 2 for Exchange Server 2010, you gain few new features such as Cross-Site Silent Redirection for OWA, Address Book Policies, Mailbox Auto-Mapping and few other additions (What’s new in Exchange 2010 SP2).

With it, comes new pre-requisites if you are installing/updating Client Access Server (CAS) role.

You will need to install the following components on the server that will be running CAS role (or existing CAS you are planning to update):

ISAPI Filters – Web-ISAPI-Filter
IIS 6 WMI Compatibility – Web-WMI
ASP.Net – Web-Asp-Net

You can install them as described in Exchange 2010 Prerequisites article. If you want to install these components on existing CAS server before upgrade to SP2, you can launch PowerShell as Administrator and then run:

Import-Module ServerManager
Add-WindowsFeature Web-ISAPI-Filter,Web-WMI,Web-Asp-Net

Note this post refers only to Windows 2008 R2. I haven’t checked if requirements are different for Windows 2008 (without R2) servers. They are, however, detailed in the TechNet articles linked above.


Comments (4)

  1. Thanks Scott, that's true! Setup takes care of it for you, just need to specify.

  2. Scott Schnoll says:

    You can also use the command-line version of Setup ( and have Exchange install the OS pre-reqs for you (e.g., Setup /m:upgrade /installwindowscomponents).

  3. paul says:

    The Exchange 2010 Prerequisites link is wrong – it points to the Exchange 2013 page.

  4. rajkumar says:

    Hi Paul,

    All the Exchange 2010 TechNet links are updated to matchrefer Exchange 2013 articles (happened on Nov 1st week), If you want to check the same for older versions, Click on other versions and select Exchange 2010.